﻿Partial Public Class WizardPage2
    Inherits PageFunction(Of WizardData)

    Private m_WizardData As WizardData
    Private WithEvents m_Page3 As WizardPage3

    ' Save the WizardData object.
    Public Sub New(ByVal wizard_data As WizardData)
        InitializeComponent()

        m_WizardData = wizard_data
    End Sub

    ' The next page returned. Return its result.
    Private Sub m_Page3_Return(ByVal sender As Object, ByVal e As System.Windows.Navigation.ReturnEventArgs(Of WizardData)) Handles m_Page3.Return
        OnReturn(e)
    End Sub

#Region "Navigation"
    ' Open the next page.
    Public Sub btnNext_Click() Handles btnNext.Click
        If NavigationService.CanGoForward Then
            NavigationService.GoForward()
        Else
            m_Page3 = New WizardPage3(m_WizardData)
            NavigationService.Navigate(m_Page3)
        End If
    End Sub

    ' Return a result indicating that we canceled.
    Private Sub btnCancel_Click() Handles btnCancel.Click
        m_WizardData.Canceled = True
        OnReturn(New ReturnEventArgs(Of WizardData)(m_WizardData))
    End Sub

    ' Go back to the previous page.
    Private Sub btnPrev_Click() Handles btnPrev.Click
        NavigationService.GoBack()
    End Sub
#End Region ' Navigation

#Region "Record Selections"
    ' Save the selection.
    Private Sub cboEntree_SelectionChanged() Handles cboEntree.SelectionChanged
        ' The ComboBox's Text property isn't updated yet.
        If cboEntree.SelectedIndex < 0 Then
            m_WizardData.Entree = ""
        Else
            m_WizardData.Entree = cboEntree.Items(cboEntree.SelectedIndex).Content
        End If

        ' Enable the Next button if the user selected something.
        btnNext.IsEnabled = cboEntree.SelectedIndex >= 0
    End Sub

    ' Save the selection.
    Private Sub cboDrink_SelectionChanged() Handles cboDrink.SelectionChanged
        If cboDrink.SelectedIndex < 0 Then
            m_WizardData.Drink = ""
        Else
            m_WizardData.Drink = cboDrink.Items(cboDrink.SelectedIndex).Content
        End If
    End Sub
#End Region ' Record Selections

End Class
